Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc62::/16
First address
fc62::
Last address
fc62:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc62:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
2.6.c.f.ip6.arpa
Split into smaller subnets/24

fc62::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1fc62::/24fc62:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fc62:100::/24fc62:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fc62:200::/24fc62:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fc62:300::/24fc62:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fc62:400::/24fc62:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fc62:500::/24fc62:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fc62:600::/24fc62:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fc62:700::/24fc62:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fc62:800::/24fc62:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fc62:900::/24fc62:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fc62:a00::/24fc62:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fc62:b00::/24fc62:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fc62:c00::/24fc62:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fc62:d00::/24fc62:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fc62:e00::/24fc62:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fc62:f00::/24fc62:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fc62:1000::/24fc62:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fc62:1100::/24fc62:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fc62:1200::/24fc62:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fc62:1300::/24fc62:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fc62:1400::/24fc62:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fc62:1500::/24fc62:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fc62:1600::/24fc62:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fc62:1700::/24fc62:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fc62:1800::/24fc62:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fc62:1900::/24fc62:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fc62:1a00::/24fc62:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fc62:1b00::/24fc62:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fc62:1c00::/24fc62:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fc62:1d00::/24fc62:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fc62:1e00::/24fc62:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fc62:1f00::/24fc62:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fc62:2000::/24fc62:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fc62:2100::/24fc62:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fc62:2200::/24fc62:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fc62:2300::/24fc62:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fc62:2400::/24fc62:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fc62:2500::/24fc62:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fc62:2600::/24fc62:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fc62:2700::/24fc62:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fc62:2800::/24fc62:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fc62:2900::/24fc62:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fc62:2a00::/24fc62:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fc62:2b00::/24fc62:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fc62:2c00::/24fc62:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fc62:2d00::/24fc62:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fc62:2e00::/24fc62:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fc62:2f00::/24fc62:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fc62:3000::/24fc62:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fc62:3100::/24fc62:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fc62:3200::/24fc62:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fc62:3300::/24fc62:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fc62:3400::/24fc62:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fc62:3500::/24fc62:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fc62:3600::/24fc62:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fc62:3700::/24fc62:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fc62:3800::/24fc62:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fc62:3900::/24fc62:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fc62:3a00::/24fc62:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fc62:3b00::/24fc62:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fc62:3c00::/24fc62:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fc62:3d00::/24fc62:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fc62:3e00::/24fc62:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fc62:3f00::/24fc62:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fc62:4000::/24fc62:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fc62:4100::/24fc62:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fc62:4200::/24fc62:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fc62:4300::/24fc62:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fc62:4400::/24fc62:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fc62:4500::/24fc62:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fc62:4600::/24fc62:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fc62:4700::/24fc62:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fc62:4800::/24fc62:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fc62:4900::/24fc62:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fc62:4a00::/24fc62:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fc62:4b00::/24fc62:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fc62:4c00::/24fc62:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fc62:4d00::/24fc62:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fc62:4e00::/24fc62:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fc62:4f00::/24fc62:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fc62:5000::/24fc62:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fc62:5100::/24fc62:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fc62:5200::/24fc62:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fc62:5300::/24fc62:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fc62:5400::/24fc62:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fc62:5500::/24fc62:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fc62:5600::/24fc62:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fc62:5700::/24fc62:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fc62:5800::/24fc62:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fc62:5900::/24fc62:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fc62:5a00::/24fc62:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fc62:5b00::/24fc62:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fc62:5c00::/24fc62:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fc62:5d00::/24fc62:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fc62:5e00::/24fc62:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fc62:5f00::/24fc62:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fc62:6000::/24fc62:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fc62:6100::/24fc62:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fc62:6200::/24fc62:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fc62:6300::/24fc62:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fc62:6400::/24fc62:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fc62:6500::/24fc62:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fc62:6600::/24fc62:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fc62:6700::/24fc62:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fc62:6800::/24fc62:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fc62:6900::/24fc62:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fc62:6a00::/24fc62:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fc62:6b00::/24fc62:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fc62:6c00::/24fc62:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fc62:6d00::/24fc62:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fc62:6e00::/24fc62:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fc62:6f00::/24fc62:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fc62:7000::/24fc62:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fc62:7100::/24fc62:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fc62:7200::/24fc62:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fc62:7300::/24fc62:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fc62:7400::/24fc62:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fc62:7500::/24fc62:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fc62:7600::/24fc62:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fc62:7700::/24fc62:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fc62:7800::/24fc62:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fc62:7900::/24fc62:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fc62:7a00::/24fc62:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fc62:7b00::/24fc62:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fc62:7c00::/24fc62:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fc62:7d00::/24fc62:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fc62:7e00::/24fc62:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fc62:7f00::/24fc62:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fc62:8000::/24fc62:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fc62:8100::/24fc62:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fc62:8200::/24fc62:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fc62:8300::/24fc62:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fc62:8400::/24fc62:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fc62:8500::/24fc62:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fc62:8600::/24fc62:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fc62:8700::/24fc62:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fc62:8800::/24fc62:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fc62:8900::/24fc62:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fc62:8a00::/24fc62:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fc62:8b00::/24fc62:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fc62:8c00::/24fc62:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fc62:8d00::/24fc62:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fc62:8e00::/24fc62:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fc62:8f00::/24fc62:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fc62:9000::/24fc62:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fc62:9100::/24fc62:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fc62:9200::/24fc62:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fc62:9300::/24fc62:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fc62:9400::/24fc62:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fc62:9500::/24fc62:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fc62:9600::/24fc62:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fc62:9700::/24fc62:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fc62:9800::/24fc62:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fc62:9900::/24fc62:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fc62:9a00::/24fc62:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fc62:9b00::/24fc62:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fc62:9c00::/24fc62:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fc62:9d00::/24fc62:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fc62:9e00::/24fc62:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fc62:9f00::/24fc62:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fc62:a000::/24fc62:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fc62:a100::/24fc62:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fc62:a200::/24fc62:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fc62:a300::/24fc62:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fc62:a400::/24fc62:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fc62:a500::/24fc62:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fc62:a600::/24fc62:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fc62:a700::/24fc62:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fc62:a800::/24fc62:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fc62:a900::/24fc62:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fc62:aa00::/24fc62:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fc62:ab00::/24fc62:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fc62:ac00::/24fc62:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fc62:ad00::/24fc62:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fc62:ae00::/24fc62:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fc62:af00::/24fc62:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fc62:b000::/24fc62:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fc62:b100::/24fc62:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fc62:b200::/24fc62:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fc62:b300::/24fc62:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fc62:b400::/24fc62:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fc62:b500::/24fc62:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fc62:b600::/24fc62:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fc62:b700::/24fc62:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fc62:b800::/24fc62:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fc62:b900::/24fc62:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fc62:ba00::/24fc62:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fc62:bb00::/24fc62:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fc62:bc00::/24fc62:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fc62:bd00::/24fc62:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fc62:be00::/24fc62:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fc62:bf00::/24fc62:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fc62:c000::/24fc62:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fc62:c100::/24fc62:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fc62:c200::/24fc62:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fc62:c300::/24fc62:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fc62:c400::/24fc62:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fc62:c500::/24fc62:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fc62:c600::/24fc62:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fc62:c700::/24fc62:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fc62:c800::/24fc62:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fc62:c900::/24fc62:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fc62:ca00::/24fc62:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fc62:cb00::/24fc62:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fc62:cc00::/24fc62:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fc62:cd00::/24fc62:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fc62:ce00::/24fc62:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fc62:cf00::/24fc62:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fc62:d000::/24fc62:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fc62:d100::/24fc62:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fc62:d200::/24fc62:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fc62:d300::/24fc62:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fc62:d400::/24fc62:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fc62:d500::/24fc62:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fc62:d600::/24fc62:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fc62:d700::/24fc62:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fc62:d800::/24fc62:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fc62:d900::/24fc62:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fc62:da00::/24fc62:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fc62:db00::/24fc62:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fc62:dc00::/24fc62:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fc62:dd00::/24fc62:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fc62:de00::/24fc62:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fc62:df00::/24fc62:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fc62:e000::/24fc62:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fc62:e100::/24fc62:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fc62:e200::/24fc62:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fc62:e300::/24fc62:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fc62:e400::/24fc62:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fc62:e500::/24fc62:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fc62:e600::/24fc62:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fc62:e700::/24fc62:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fc62:e800::/24fc62:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fc62:e900::/24fc62:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fc62:ea00::/24fc62:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fc62:eb00::/24fc62:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fc62:ec00::/24fc62:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fc62:ed00::/24fc62:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fc62:ee00::/24fc62:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fc62:ef00::/24fc62:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fc62:f000::/24fc62:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fc62:f100::/24fc62:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fc62:f200::/24fc62:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fc62:f300::/24fc62:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fc62:f400::/24fc62:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fc62:f500::/24fc62:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fc62:f600::/24fc62:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fc62:f700::/24fc62:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fc62:f800::/24fc62:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fc62:f900::/24fc62:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fc62:fa00::/24fc62:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fc62:fb00::/24fc62:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fc62:fc00::/24fc62:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fc62:fd00::/24fc62:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fc62:fe00::/24fc62:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fc62:ff00::/24fc62:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses